> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/profiles.md).

# 프로필

프로필은 플레이어의 기본 설명으로, 인게임 이름과 아바타 같은 정보를 포함합니다.

콘텐츠 서버에서는 일반적인 형식으로 제공됩니다 [엔티티입니다](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md), 다만 월드 익스플로러는 보통 통신 시스템을 활용해 최신 버전을 즉석에서 가져옵니다.

시스템은 같은 소유자를 가진 여러 신원을 허용하도록 준비되어 있으며, 모두 엔티티 매니페스트에서 아바타로 포함됩니다. 하지만 실제로는 대부분의 플레이어가 하나만 가집니다.

### 포인터 <a href="#pointers" id="pointers"></a>

프로필 [pointers](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 소유자의 이더리움 주소이며, 접두사나 접미사는 없습니다. 예를 들면:

```
0x210c4415d6a71195af76beef9b85dd0eb43f35df
```

### 메타데이터 필드

| 필드    | 값                               |
| ----- | ------------------------------- |
| `아바타` | 소유자의 각 아바타에 대한 설명 배열입니다(아래 참조). |

### 아바타

각 아바타는 `metadata.avatars[]` 같은 소유자를 가진 신원을 나타내며, 클라이언트가 프로필을 표시하고, 게임 내에서 아바타를 렌더링하고, 소유자에게 연락할 수 있도록 하는 여러 속성을 가집니다.

| 필드               | 값                                                                                                                  |
| ---------------- | ------------------------------------------------------------------------------------------------------------------ |
| `userId`         | 이 [포인터](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 이 프로필로 해석되는(또는 해석되었던) 것입니다. |
| `이름`             | 표시 이름                                                                                                              |
| `이메일`            | (선택 사항) 이 플레이어의 이메일 주소입니다.                                                                                         |
| `설명`             | (선택 사항) 플레이어가 자신을 설명하기 위해 선택한 텍스트입니다.                                                                              |
| `ethAddress`     | 이 플레이어의 이더리움 주소입니다(현재는 그들의 `userId`).                                                                              |
| `hasClaimedName` | 해당하는지 여부 `이름` 필드가 청구된 ENS 이름인지 여부입니다.                                                                              |
| `unclaimedName`  | ENS 이름이 없는 사용자(예: 게스트)를 위한 임시 이름입니다.                                                                               |
| `tutorialStep`   | 이 플레이어의 튜토리얼 진행 상황입니다.                                                                                             |
| `아바타`            | 플레이어의 게임 내 아바타의 속성입니다(아래 참조).                                                                                      |

예:

```json
{
  "userId": "0x210c4415d6a71195af76beef9b84dd0eb43f35da",
  "name": "Bob",
  "email": "",
  "hasClaimedName": false,
  "description": "",
  "ethAddress": "0x210c4415d6a71195af76beef9b84dd0eb43f35da",
  "avatar": {
    // 아래 참조
  }
}
```

#### 아바타 필드

이 `metadata.avatars[].avatar` 필드에는 월드 익스플로러(또는 독립형 아바타 편집기 같은 다른 클라이언트)가 플레이어를 렌더링하는 데 필요한 모든 정보가 들어 있습니다.

| 필드       | 값                                                                                                                                             |
| -------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `몸체 형태`  | 이 [포인터](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 아바타의 몸체 형태 엔티티에 해당합니다.                                 |
| `스냅샷`    | 이 아바타의 이미지가 들어 있는 객체입니다(아래 참조).                                                                                                               |
| `눈`      | 다음을 가진 객체: `색상` 다음 형식의 `{ r, g, b }` 아바타의 눈을 위한 객체입니다.                                                                                        |
| `머리카락`   | 다음을 가진 객체: `색상` 다음 형식의 `{ r, g, b }` 아바타의 머리카락을 위한 객체입니다.                                                                                     |
| `피부`     | 다음을 가진 객체: `색상` 다음 형식의 `{ r, g, b }` 아바타의 피부를 위한 객체입니다.                                                                                       |
| `착용 아이템` | 다음의 배열입니다 [착용 아이템 포인터](https://github.com/decentraland/docs/blob/main/contributor/entity-types/wearables/README.md#pointers) 아바타가 사용 중인 것입니다. |

예를 들면:

```json
{
  "bodyShape": "urn:decentraland:off-chain:base-avatars:BaseMale",
  "snapshots": {
    // 아래 참조
  },
  "eyes": {
    "color": { "r": 0.37109375, "g": 0.22265625, "b": 0.1953125 }
  },
  "hair": {
    "color": { "r": 0.234375, "g": 0.12890625, "b": 0.04296875 }
  },
  "skin": {
    "color": { "r": 0.80078125, "g": 0.609375, "b": 0.46484375 }
  },
  "wearables": [
    "urn:decentraland:off-chain:base-avatars:eyes_00",
    "urn:decentraland:off-chain:base-avatars:eyebrows_00",
    "urn:decentraland:off-chain:base-avatars:mouth_00",
    "urn:decentraland:off-chain:base-avatars:m_mountainshoes.glb",
    "urn:decentraland:off-chain:base-avatars:sport_jacket",
    "urn:decentraland:off-chain:base-avatars:brown_pants",
    "urn:decentraland:off-chain:base-avatars:aviatorstyle",
    "urn:decentraland:off-chain:base-avatars:casual_hair_03",
    "urn:decentraland:off-chain:base-avatars:Mustache_Short_Beard"
  ]
}
```

#### 스냅샷

이 `metadata.avatars[].avatar.snapshots` 필드에는 [파일 식별자](https://github.com/decentraland/docs/blob/main/contributor/filesystem/README.md#identifiers) 이미지에 대한(포함된 [`콘텐츠` 최상위 필드](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md#properties)). 각 속성은 이미지 종류이며, 현재는 두 가지가 있습니다: `face256` (썸네일) 및 `body` (전체 크기 버전).

예를 들면:

```json
{
  "face256": "bafkreidvjwc3gqqdqk646rqnxnqzpsyjsjafqfc76zenfgjnm2ahbvrtsd",
  "body": "bafkreigclygt6vzzu7myzg3weifapb3a5uec245lzndg4f53y4vfb3cmwm"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/profiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
